package com.jasamedika.medifirst2000.entities;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name = "PapThtAnamnesisHidung_T")
public class PapThtAnamnesisHidung extends BaseTransaction {
	@JsonBackReference
	@OneToOne(cascade = CascadeType.ALL)
	@JoinColumn(name = "ObjectPapThtFk")
	@NotNull(message = "PapTht tidak boleh kosong")
	private PapTht papTht;

	@Column(name = "ObjectPapThtFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = false)
	private String papThtId;

	@ManyToOne
	@JoinColumn(name = "ObjectIngusBeningFk")
	@NotNull(message = "IngusBening Tidak Boleh Kosong")
	private StatusNormalTidakNormal ingusBening;

	@Column(name = "keteranganIngusBening", nullable = true)
	@Caption(value = "KeteranganIngusBening")
	private String keteranganIngusBening;

	@ManyToOne
	@JoinColumn(name = "ObjectIngusMukopurulenFk")
	@NotNull(message = "IngusMukopurulen Tidak Boleh Kosong")
	private StatusNormalTidakNormal ingusMukopurulen;

	@Column(name = "keteranganIngusMukopurulen", nullable = true)
	@Caption(value = "KeteranganIngusMukopurulen")
	private String keteranganIngusMukopurulen;

	@ManyToOne
	@JoinColumn(name = "ObjectIngusBercampurDarahFk")
	@NotNull(message = "IngusBercampurDarah Tidak Boleh Kosong")
	private StatusNormalTidakNormal ingusBercampurDarah;

	@Column(name = "keteranganIngusBercampurDarah", nullable = true)
	@Caption(value = "KeteranganIngusBercampurDarah")
	private String keteranganIngusBercampurDarah;

	@ManyToOne
	@JoinColumn(name = "ObjectMimisanFk")
	@NotNull(message = "Mimisan Tidak Boleh Kosong")
	private StatusNormalTidakNormal mimisan;

	@Column(name = "keteranganMimisan", nullable = true)
	@Caption(value = "KeteranganMimisan")
	private String keteranganMimisan;

	@ManyToOne
	@JoinColumn(name = "ObjectIngusBelakangHidungFk")
	@NotNull(message = "IngusBelakangHidung Tidak Boleh Kosong")
	private StatusNormalTidakNormal ingusBelakangHidung;

	@Column(name = "keteranganIngusBelakangHidung", nullable = true)
	@Caption(value = "KeteranganIngusBelakangHidung")
	private String keteranganIngusBelakangHidung;

	@ManyToOne
	@JoinColumn(name = "ObjectHidungTersumbatFk")
	@NotNull(message = "HidungTersumbat Tidak Boleh Kosong")
	private StatusNormalTidakNormal hidungTersumbat;

	@Column(name = "keteranganHidungTersumbat", nullable = true)
	@Caption(value = "KeteranganHidungTersumbat")
	private String keteranganHidungTersumbat;

	@ManyToOne
	@JoinColumn(name = "ObjectHidungGatalFk")
	@NotNull(message = "HidungGatal Tidak Boleh Kosong")
	private StatusNormalTidakNormal hidungGatal;

	@Column(name = "keteranganHidungGatal", nullable = true)
	@Caption(value = "KeteranganHidungGatal")
	private String keteranganHidungGatal;

	@ManyToOne
	@JoinColumn(name = "ObjectBersinFk")
	@NotNull(message = "Bersin Tidak Boleh Kosong")
	private StatusNormalTidakNormal bersin;

	@Column(name = "keteranganBersin", nullable = true)
	@Caption(value = "KeteranganBersin")
	private String keteranganBersin;

	@ManyToOne
	@JoinColumn(name = "ObjectPenciumanTergangguFk")
	@NotNull(message = "PenciumanTerganggu Tidak Boleh Kosong")
	private StatusNormalTidakNormal penciumanTerganggu;

	@Column(name = "keteranganPenciumanTerganggu", nullable = true)
	@Caption(value = "KeteranganPenciumanTerganggu")
	private String keteranganPenciumanTerganggu;

	@ManyToOne
	@JoinColumn(name = "ObjectNyeriSekitarWajahFk")
	@NotNull(message = "NyeriSekitarWajah Tidak Boleh Kosong")
	private StatusNormalTidakNormal nyeriSekitarWajah;

	@Column(name = "keteranganNyeriSekitarWajah", nullable = true)
	@Caption(value = "KeteranganNyeriSekitarWajah")
	private String keteranganNyeriSekitarWajah;

	@ManyToOne
	@JoinColumn(name = "ObjectNyeriKepalaFk")
	@NotNull(message = "NyeriKepala Tidak Boleh Kosong")
	private StatusNormalTidakNormal nyeriKepala;

	@Column(name = "keteranganNyeriKepala", nullable = true)
	@Caption(value = "KeteranganNyeriKepala")
	private String keteranganNyeriKepala;

	@ManyToOne
	@JoinColumn(name = "ObjectNyeriDaerahGusiFk")
	@NotNull(message = "NyeriDaerahGusi Tidak Boleh Kosong")
	private StatusNormalTidakNormal nyeriDaerahGusi;

	@Column(name = "keteranganNyeriDaerahGusi", nullable = true)
	@Caption(value = "KeteranganNyeriDaerahGusi")
	private String keteranganNyeriDaerahGusi;

	@ManyToOne
	@JoinColumn(name = "ObjectNyeriRahangAtasFk")
	@NotNull(message = "NyeriRahangAtas Tidak Boleh Kosong")
	private StatusNormalTidakNormal nyeriRahangAtas;

	@Column(name = "keteranganNyeriRahangAtas", nullable = true)
	@Caption(value = "KeteranganNyeriRahangAtas")
	private String keteranganNyeriRahangAtas;

	@ManyToOne
	@JoinColumn(name = "ObjectBauMulutFk")
	@NotNull(message = "BauMulut Tidak Boleh Kosong")
	private StatusNormalTidakNormal bauMulut;

	@Column(name = "keteranganBauMulut", nullable = true)
	@Caption(value = "KeteranganBauMulut")
	private String keteranganBauMulut;

	@ManyToOne
	@JoinColumn(name = "ObjectHidungBerbauAbnormalFk")
	@NotNull(message = "HidungBerbauAbnormal Tidak Boleh Kosong")
	private StatusNormalTidakNormal hidungBerbauAbnormal;

	@Column(name = "keteranganHidungBerbauAbnormal", nullable = true)
	@Caption(value = "KeteranganHidungBerbauAbnormal")
	private String keteranganHidungBerbauAbnormal;

	@ManyToOne
	@JoinColumn(name = "ObjectBendaAsingDiHidungFk")
	@NotNull(message = "BendaAsingDiHidung Tidak Boleh Kosong")
	private StatusNormalTidakNormal bendaAsingDiHidung;

	@Column(name = "keteranganBendaAsingDiHidung", nullable = true)
	@Caption(value = "KeteranganBendaAsingDiHidung")
	private String keteranganBendaAsingDiHidung;

	@ManyToOne
	@JoinColumn(name = "ObjectBenjolanDiHidungFk")
	@NotNull(message = "BenjolanDiHidung Tidak Boleh Kosong")
	private StatusNormalTidakNormal benjolanDiHidung;

	@Column(name = "keteranganBenjolanDiHidung", nullable = true)
	@Caption(value = "KeteranganBenjolanDiHidung")
	private String keteranganBenjolanDiHidung;

	@ManyToOne
	@JoinColumn(name = "ObjectBenjolanSekitarHidungFk")
	@NotNull(message = "BenjolanSekitarHidung Tidak Boleh Kosong")
	private StatusNormalTidakNormal benjolanSekitarHidung;

	@Column(name = "keteranganBenjolanSekitarHidung", nullable = true)
	@Caption(value = "KeteranganBenjolanSekitarHidung")
	private String keteranganBenjolanSekitarHidung;

	@ManyToOne
	@JoinColumn(name = "ObjectKulitHidungAbnormalFk")
	@NotNull(message = "KulitHidungAbnormal Tidak Boleh Kosong")
	private StatusNormalTidakNormal kulitHidungAbnormal;

	@Column(name = "keteranganKulitHidungAbnormal", nullable = true)
	@Caption(value = "KeteranganKulitHidungAbnormal")
	private String keteranganKulitHidungAbnormal;

	@ManyToOne
	@JoinColumn(name = "ObjectKulitDiSekitarHidungAbnormalFk")
	@NotNull(message = "KulitDiSekitarHidungAbnormal Tidak Boleh Kosong")
	private StatusNormalTidakNormal kulitDiSekitarHidungAbnormal;

	@Column(name = "keteranganKulitDiSekitarHidungAbnormal", nullable = true)
	@Caption(value = "KeteranganKulitDiSekitarHidungAbnormal")
	private String keteranganKulitDiSekitarHidungAbnormal;

	@ManyToOne
	@JoinColumn(name = "ObjectBentukHidungAbnormalFk")
	@NotNull(message = "BentukHidungAbnormal Tidak Boleh Kosong")
	private StatusNormalTidakNormal bentukHidungAbnormal;

	@Column(name = "keteranganBentukHidungAbnormal", nullable = true)
	@Caption(value = "KeteranganBentukHidungAbnormal")
	private String keteranganBentukHidungAbnormal;

	@ManyToOne
	@JoinColumn(name = "ObjectRiwayatOperasiHidungSebelumnyaFk")
	@NotNull(message = "RiwayatOperasiHidungSebelumnya Tidak Boleh Kosong")
	private StatusNormalTidakNormal riwayatOperasiHidungSebelumnya;

	@Column(name = "keteranganRiwayatOperasiHidungSebelumnya", nullable = true)
	@Caption(value = "KeteranganRiwayatOperasiHidungSebelumnya")
	private String keteranganRiwayatOperasiHidungSebelumnya;

	@ManyToOne
	@JoinColumn(name = "ObjectTraumaPadaHidungFk")
	@NotNull(message = "TraumaPadaHidung Tidak Boleh Kosong")
	private StatusNormalTidakNormal traumaPadaHidung;

	@Column(name = "keteranganTraumaPadaHidung", nullable = true)
	@Caption(value = "KeteranganTraumaPadaHidung")
	private String keteranganTraumaPadaHidung;

	@Column(name = "ObjectIngusBeningFk", insertable = false, updatable = false, nullable = false)
	private Integer ingusBeningId;

	@Column(name = "ObjectIngusMukopurulenFk", insertable = false, updatable = false, nullable = false)
	private Integer ingusMukopurulenId;

	@Column(name = "ObjectIngusBercampurDarahFk", insertable = false, updatable = false, nullable = false)
	private Integer ingusBercampurDarahId;

	@Column(name = "ObjectMimisanFk", insertable = false, updatable = false, nullable = false)
	private Integer mimisanId;

	@Column(name = "ObjectIngusBelakangHidungFk", insertable = false, updatable = false, nullable = false)
	private Integer ingusBelakangHidungId;

	@Column(name = "ObjectHidungTersumbatFk", insertable = false, updatable = false, nullable = false)
	private Integer hidungTersumbatId;

	@Column(name = "ObjectHidungGatalFk", insertable = false, updatable = false, nullable = false)
	private Integer hidungGatalId;

	@Column(name = "ObjectBersinFk", insertable = false, updatable = false, nullable = false)
	private Integer bersinId;

	@Column(name = "ObjectPenciumanTergangguFk", insertable = false, updatable = false, nullable = false)
	private Integer penciumanTergangguId;

	@Column(name = "ObjectNyeriSekitarWajahFk", insertable = false, updatable = false, nullable = false)
	private Integer nyeriSekitarWajahId;

	@Column(name = "ObjectNyeriKepalaFk", insertable = false, updatable = false, nullable = false)
	private Integer nyeriKepalaId;

	@Column(name = "ObjectNyeriDaerahGusiFk", insertable = false, updatable = false, nullable = false)
	private Integer nyeriDaerahGusiId;

	@Column(name = "ObjectNyeriRahangAtasFk", insertable = false, updatable = false, nullable = false)
	private Integer nyeriRahangAtasId;

	@Column(name = "ObjectBauMulutFk", insertable = false, updatable = false, nullable = false)
	private Integer bauMulutId;

	@Column(name = "ObjectHidungBerbauAbnormalFk", insertable = false, updatable = false, nullable = false)
	private Integer hidungBerbauAbnormalId;

	@Column(name = "ObjectBendaAsingDiHidungFk", insertable = false, updatable = false, nullable = false)
	private Integer bendaAsingDiHidungId;

	@Column(name = "ObjectBenjolanDiHidungFk", insertable = false, updatable = false, nullable = false)
	private Integer benjolanDiHidungId;

	@Column(name = "ObjectBenjolanSekitarHidungFk", insertable = false, updatable = false, nullable = false)
	private Integer benjolanSekitarHidungId;

	@Column(name = "ObjectKulitHidungAbnormalFk", insertable = false, updatable = false, nullable = false)
	private Integer kulitHidungAbnormalId;

	@Column(name = "ObjectKulitDiSekitarHidungAbnormalFk", insertable = false, updatable = false, nullable = false)
	private Integer kulitDiSekitarHidungAbnormalId;

	@Column(name = "ObjectBentukHidungAbnormalFk", insertable = false, updatable = false, nullable = false)
	private Integer bentukHidungAbnormalId;

	@Column(name = "ObjectRiwayatOperasiHidungSebelumnyaFk", insertable = false, updatable = false, nullable = false)
	private Integer riwayatOperasiHidungSebelumnyaId;

	@Column(name = "ObjectTraumaPadaHidungFk", insertable = false, updatable = false, nullable = false)
	private Integer traumaPadaHidungId;

	public PapTht getPapTht() {
		return papTht;
	}

	public void setPapTht(PapTht papTht) {
		this.papTht = papTht;
	}

	public StatusNormalTidakNormal getIngusBening() {
		return ingusBening;
	}

	public void setIngusBening(StatusNormalTidakNormal ingusBening) {
		this.ingusBening = ingusBening;
	}

	public String getKeteranganIngusBening() {
		return keteranganIngusBening;
	}

	public void setKeteranganIngusBening(String keteranganIngusBening) {
		this.keteranganIngusBening = keteranganIngusBening;
	}

	public StatusNormalTidakNormal getIngusMukopurulen() {
		return ingusMukopurulen;
	}

	public void setIngusMukopurulen(StatusNormalTidakNormal ingusMukopurulen) {
		this.ingusMukopurulen = ingusMukopurulen;
	}

	public String getKeteranganIngusMukopurulen() {
		return keteranganIngusMukopurulen;
	}

	public void setKeteranganIngusMukopurulen(String keteranganIngusMukopurulen) {
		this.keteranganIngusMukopurulen = keteranganIngusMukopurulen;
	}

	public StatusNormalTidakNormal getIngusBercampurDarah() {
		return ingusBercampurDarah;
	}

	public void setIngusBercampurDarah(StatusNormalTidakNormal ingusBercampurDarah) {
		this.ingusBercampurDarah = ingusBercampurDarah;
	}

	public String getKeteranganIngusBercampurDarah() {
		return keteranganIngusBercampurDarah;
	}

	public void setKeteranganIngusBercampurDarah(String keteranganIngusBercampurDarah) {
		this.keteranganIngusBercampurDarah = keteranganIngusBercampurDarah;
	}

	public StatusNormalTidakNormal getMimisan() {
		return mimisan;
	}

	public void setMimisan(StatusNormalTidakNormal mimisan) {
		this.mimisan = mimisan;
	}

	public String getKeteranganMimisan() {
		return keteranganMimisan;
	}

	public void setKeteranganMimisan(String keteranganMimisan) {
		this.keteranganMimisan = keteranganMimisan;
	}

	public StatusNormalTidakNormal getIngusBelakangHidung() {
		return ingusBelakangHidung;
	}

	public void setIngusBelakangHidung(StatusNormalTidakNormal ingusBelakangHidung) {
		this.ingusBelakangHidung = ingusBelakangHidung;
	}

	public String getKeteranganIngusBelakangHidung() {
		return keteranganIngusBelakangHidung;
	}

	public void setKeteranganIngusBelakangHidung(String keteranganIngusBelakangHidung) {
		this.keteranganIngusBelakangHidung = keteranganIngusBelakangHidung;
	}

	public StatusNormalTidakNormal getHidungTersumbat() {
		return hidungTersumbat;
	}

	public void setHidungTersumbat(StatusNormalTidakNormal hidungTersumbat) {
		this.hidungTersumbat = hidungTersumbat;
	}

	public String getKeteranganHidungTersumbat() {
		return keteranganHidungTersumbat;
	}

	public void setKeteranganHidungTersumbat(String keteranganHidungTersumbat) {
		this.keteranganHidungTersumbat = keteranganHidungTersumbat;
	}

	public StatusNormalTidakNormal getHidungGatal() {
		return hidungGatal;
	}

	public void setHidungGatal(StatusNormalTidakNormal hidungGatal) {
		this.hidungGatal = hidungGatal;
	}

	public String getKeteranganHidungGatal() {
		return keteranganHidungGatal;
	}

	public void setKeteranganHidungGatal(String keteranganHidungGatal) {
		this.keteranganHidungGatal = keteranganHidungGatal;
	}

	public StatusNormalTidakNormal getBersin() {
		return bersin;
	}

	public void setBersin(StatusNormalTidakNormal bersin) {
		this.bersin = bersin;
	}

	public String getKeteranganBersin() {
		return keteranganBersin;
	}

	public void setKeteranganBersin(String keteranganBersin) {
		this.keteranganBersin = keteranganBersin;
	}

	public StatusNormalTidakNormal getPenciumanTerganggu() {
		return penciumanTerganggu;
	}

	public void setPenciumanTerganggu(StatusNormalTidakNormal penciumanTerganggu) {
		this.penciumanTerganggu = penciumanTerganggu;
	}

	public String getKeteranganPenciumanTerganggu() {
		return keteranganPenciumanTerganggu;
	}

	public void setKeteranganPenciumanTerganggu(String keteranganPenciumanTerganggu) {
		this.keteranganPenciumanTerganggu = keteranganPenciumanTerganggu;
	}

	public StatusNormalTidakNormal getNyeriSekitarWajah() {
		return nyeriSekitarWajah;
	}

	public void setNyeriSekitarWajah(StatusNormalTidakNormal nyeriSekitarWajah) {
		this.nyeriSekitarWajah = nyeriSekitarWajah;
	}

	public String getKeteranganNyeriSekitarWajah() {
		return keteranganNyeriSekitarWajah;
	}

	public void setKeteranganNyeriSekitarWajah(String keteranganNyeriSekitarWajah) {
		this.keteranganNyeriSekitarWajah = keteranganNyeriSekitarWajah;
	}

	public StatusNormalTidakNormal getNyeriKepala() {
		return nyeriKepala;
	}

	public void setNyeriKepala(StatusNormalTidakNormal nyeriKepala) {
		this.nyeriKepala = nyeriKepala;
	}

	public String getKeteranganNyeriKepala() {
		return keteranganNyeriKepala;
	}

	public void setKeteranganNyeriKepala(String keteranganNyeriKepala) {
		this.keteranganNyeriKepala = keteranganNyeriKepala;
	}

	public StatusNormalTidakNormal getNyeriDaerahGusi() {
		return nyeriDaerahGusi;
	}

	public void setNyeriDaerahGusi(StatusNormalTidakNormal nyeriDaerahGusi) {
		this.nyeriDaerahGusi = nyeriDaerahGusi;
	}

	public String getKeteranganNyeriDaerahGusi() {
		return keteranganNyeriDaerahGusi;
	}

	public void setKeteranganNyeriDaerahGusi(String keteranganNyeriDaerahGusi) {
		this.keteranganNyeriDaerahGusi = keteranganNyeriDaerahGusi;
	}

	public StatusNormalTidakNormal getNyeriRahangAtas() {
		return nyeriRahangAtas;
	}

	public void setNyeriRahangAtas(StatusNormalTidakNormal nyeriRahangAtas) {
		this.nyeriRahangAtas = nyeriRahangAtas;
	}

	public String getKeteranganNyeriRahangAtas() {
		return keteranganNyeriRahangAtas;
	}

	public void setKeteranganNyeriRahangAtas(String keteranganNyeriRahangAtas) {
		this.keteranganNyeriRahangAtas = keteranganNyeriRahangAtas;
	}

	public StatusNormalTidakNormal getBauMulut() {
		return bauMulut;
	}

	public void setBauMulut(StatusNormalTidakNormal bauMulut) {
		this.bauMulut = bauMulut;
	}

	public String getKeteranganBauMulut() {
		return keteranganBauMulut;
	}

	public void setKeteranganBauMulut(String keteranganBauMulut) {
		this.keteranganBauMulut = keteranganBauMulut;
	}

	public StatusNormalTidakNormal getHidungBerbauAbnormal() {
		return hidungBerbauAbnormal;
	}

	public void setHidungBerbauAbnormal(StatusNormalTidakNormal hidungBerbauAbnormal) {
		this.hidungBerbauAbnormal = hidungBerbauAbnormal;
	}

	public String getKeteranganHidungBerbauAbnormal() {
		return keteranganHidungBerbauAbnormal;
	}

	public void setKeteranganHidungBerbauAbnormal(String keteranganHidungBerbauAbnormal) {
		this.keteranganHidungBerbauAbnormal = keteranganHidungBerbauAbnormal;
	}

	public StatusNormalTidakNormal getBendaAsingDiHidung() {
		return bendaAsingDiHidung;
	}

	public void setBendaAsingDiHidung(StatusNormalTidakNormal bendaAsingDiHidung) {
		this.bendaAsingDiHidung = bendaAsingDiHidung;
	}

	public String getKeteranganBendaAsingDiHidung() {
		return keteranganBendaAsingDiHidung;
	}

	public void setKeteranganBendaAsingDiHidung(String keteranganBendaAsingDiHidung) {
		this.keteranganBendaAsingDiHidung = keteranganBendaAsingDiHidung;
	}

	public StatusNormalTidakNormal getBenjolanDiHidung() {
		return benjolanDiHidung;
	}

	public void setBenjolanDiHidung(StatusNormalTidakNormal benjolanDiHidung) {
		this.benjolanDiHidung = benjolanDiHidung;
	}

	public String getKeteranganBenjolanDiHidung() {
		return keteranganBenjolanDiHidung;
	}

	public void setKeteranganBenjolanDiHidung(String keteranganBenjolanDiHidung) {
		this.keteranganBenjolanDiHidung = keteranganBenjolanDiHidung;
	}

	public StatusNormalTidakNormal getBenjolanSekitarHidung() {
		return benjolanSekitarHidung;
	}

	public void setBenjolanSekitarHidung(StatusNormalTidakNormal benjolanSekitarHidung) {
		this.benjolanSekitarHidung = benjolanSekitarHidung;
	}

	public String getKeteranganBenjolanSekitarHidung() {
		return keteranganBenjolanSekitarHidung;
	}

	public void setKeteranganBenjolanSekitarHidung(String keteranganBenjolanSekitarHidung) {
		this.keteranganBenjolanSekitarHidung = keteranganBenjolanSekitarHidung;
	}

	public StatusNormalTidakNormal getKulitHidungAbnormal() {
		return kulitHidungAbnormal;
	}

	public void setKulitHidungAbnormal(StatusNormalTidakNormal kulitHidungAbnormal) {
		this.kulitHidungAbnormal = kulitHidungAbnormal;
	}

	public String getKeteranganKulitHidungAbnormal() {
		return keteranganKulitHidungAbnormal;
	}

	public void setKeteranganKulitHidungAbnormal(String keteranganKulitHidungAbnormal) {
		this.keteranganKulitHidungAbnormal = keteranganKulitHidungAbnormal;
	}

	public StatusNormalTidakNormal getKulitDiSekitarHidungAbnormal() {
		return kulitDiSekitarHidungAbnormal;
	}

	public void setKulitDiSekitarHidungAbnormal(StatusNormalTidakNormal kulitDiSekitarHidungAbnormal) {
		this.kulitDiSekitarHidungAbnormal = kulitDiSekitarHidungAbnormal;
	}

	public String getKeteranganKulitDiSekitarHidungAbnormal() {
		return keteranganKulitDiSekitarHidungAbnormal;
	}

	public void setKeteranganKulitDiSekitarHidungAbnormal(String keteranganKulitDiSekitarHidungAbnormal) {
		this.keteranganKulitDiSekitarHidungAbnormal = keteranganKulitDiSekitarHidungAbnormal;
	}

	public StatusNormalTidakNormal getBentukHidungAbnormal() {
		return bentukHidungAbnormal;
	}

	public void setBentukHidungAbnormal(StatusNormalTidakNormal bentukHidungAbnormal) {
		this.bentukHidungAbnormal = bentukHidungAbnormal;
	}

	public String getKeteranganBentukHidungAbnormal() {
		return keteranganBentukHidungAbnormal;
	}

	public void setKeteranganBentukHidungAbnormal(String keteranganBentukHidungAbnormal) {
		this.keteranganBentukHidungAbnormal = keteranganBentukHidungAbnormal;
	}

	public StatusNormalTidakNormal getRiwayatOperasiHidungSebelumnya() {
		return riwayatOperasiHidungSebelumnya;
	}

	public void setRiwayatOperasiHidungSebelumnya(StatusNormalTidakNormal riwayatOperasiHidungSebelumnya) {
		this.riwayatOperasiHidungSebelumnya = riwayatOperasiHidungSebelumnya;
	}

	public String getKeteranganRiwayatOperasiHidungSebelumnya() {
		return keteranganRiwayatOperasiHidungSebelumnya;
	}

	public void setKeteranganRiwayatOperasiHidungSebelumnya(String keteranganRiwayatOperasiHidungSebelumnya) {
		this.keteranganRiwayatOperasiHidungSebelumnya = keteranganRiwayatOperasiHidungSebelumnya;
	}

	public StatusNormalTidakNormal getTraumaPadaHidung() {
		return traumaPadaHidung;
	}

	public void setTraumaPadaHidung(StatusNormalTidakNormal traumaPadaHidung) {
		this.traumaPadaHidung = traumaPadaHidung;
	}

	public String getKeteranganTraumaPadaHidung() {
		return keteranganTraumaPadaHidung;
	}

	public void setKeteranganTraumaPadaHidung(String keteranganTraumaPadaHidung) {
		this.keteranganTraumaPadaHidung = keteranganTraumaPadaHidung;
	}
	
}
